# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaCategory

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.media.mediarss.MediaCategory

All Implemented Interfaces:
  Extension

    public class MediaCategory

extends AbstractExtension

`<media:category>`. See description on http://search.yahoo.com/mrss.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String` `DEFAULT_SCHEME` Default scheme as defined by the specification.

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MediaCategory()` Creates an empty category tag.
`MediaCategory(java.lang.String scheme, java.lang.String content)` Creates an initializes a category tag.

Method Summary
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Consumes attributes from the attribute helper.
`java.lang.String` `getContent()`
`java.lang.String` `getLabel()`
`java.lang.String` `getScheme()`
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setContent(java.lang.String content)`
`void` `setLabel(java.lang.String label)`
`void` `setScheme(java.lang.String scheme)`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SCHEME

    public static final java.lang.String DEFAULT_SCHEME

  Default scheme as defined by the specification. This scheme is defined on : http://search.yahoo.com/mrss/category_schema

  See Also:
    Constant Field Values

Constructor Detail

### MediaCategory

    public MediaCategory()

  Creates an empty category tag.

### MediaCategory

    public MediaCategory(java.lang.String scheme,
                         java.lang.String content)

  Creates an initializes a category tag.

Method Detail

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getScheme

    public java.lang.String getScheme()

### setScheme

    public void setScheme(java.lang.String scheme)

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### getContent

    public java.lang.String getContent()

### setContent

    public void setContent(java.lang.String content)